PFORTH(1)

NAME
pForth - an ANS Forth interpreter written in ANSI 'C'

SYNOPSIS
pforth [options] files ...

DESCRIPTION
This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

pForth is an interpreter for the ANS Forth language. It implements the Core, Core Extensions, File-Access, Floating-Point, Locals, Programming-Tools, and Strings word sets.

Any files specified on the command line will be processed as if typed. This is useful for scripting.

OPTIONS

-d<filename.dic>
    Specify an alternate dictionary. By default, pforth.dic will be searched for first in the current directory, and then in /usr/lib/pforth.

-i  Initialization mode, used for creating an initial dictionary.

-q  Quiet mode.

SEE ALSO
There are some other pForth docs in /usr/doc/pforth, and a web page at http://www.softsynth.com/pforth/.

Information on Forth in general is available from the Forth Interest Group web site at http://www.forth.org/.

AUTHOR
This manual page was written by Bdale Garbee <bdale@gag.com> for the Debian GNU/Linux system (but may be used by others).